import type { TagMap } from 'nbt-ts';
import type { Faces, Vector } from './model/types';
export declare function faceToFacingVector(face: Faces): Vector;
export declare const INVISIBLE_BLOCKS: Set<string>;
export declare const TRANSPARENT_BLOCKS: Set<string>;
export declare const NON_OCCLUDING_BLOCKS: Set<string>;
export declare function parseNbt(nbt: string): TagMap;
